import 'package:flutter_screenutil/flutter_screenutil.dart';


import '../../utils/mmkv_util.dart';

class Constants {
  Constants._();

  static const String env = envDev;

  static const String envDev = 'dev';

  static const String envTest = 'test';

  static const String envProd = 'prod';

  static const String _devBaseUrl = "http://192.168.10.113:8880";

  static const String _testBaseUrl = "http://42.193.245.11";

  static const String _prodBaseUrl = "https://project-api.atmob.com";



  static String baseUrl = getBaseUrl();

  static bool isProdEnv() {
    return Constants.env == Constants.envProd;
  }



  // TTARCLW,BDARCLWXM测试用特定渠道 Android
  static const String appDefaultChannel = "TTARCLW";
  static const int appDefaultAppId = 0;
  static const int appDefaultTgPlatformId = 0;
  static const String appChanelName = "app_channel_name";
  static const String appChannelId = "app_channel_id";
  static const String appTgPlatformId = "app_tg_platform_id";


}

String getBaseUrl() {
  switch (Constants.env) {
    case Constants.envDev:
      return Constants._devBaseUrl;
    case Constants.envTest:
      return Constants._testBaseUrl;
    case Constants.envProd:
      return Constants._prodBaseUrl;
    default:
      return Constants._devBaseUrl;
  }
}








